Package icyllis.arc3d.engine.task

# Class TaskList

java.lang.Object
icyllis.arc3d.engine.task.TaskList

All Implemented Interfaces:
  `AutoCloseable`, `Consumer<@SharedPtr Task>`

public class TaskList extends Object implements Consumer<@SharedPtr Task>, AutoCloseable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(@SharedPtr Task task)`
  Same as `appendTask(Task)`
  `void`
  `appendTask(@SharedPtr Task task)`
  `void`
  `appendTasks(TaskList tasks)`
  This method moves the given task list.
  `void`
  `appendTasks(List<@SharedPtr ? extends Task> tasks)`
  This method moves the given task list.
  `void`
  `clear()`
  `void`
  `close()`
  `int`
  `execute(ImmediateContext context, CommandBuffer commandBuffer)`
  `boolean`
  `isEmpty()`
  `int`
  `prepare(RecordingContext context)`
  `void`
  `prependTask(@SharedPtr Task task)`
  `int`
  `size()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Consumer

  `andThen`

- ## Constructor Details

  - ### TaskList

    public TaskList()

- ## Method Details

  - ### appendTask

    public void appendTask(@SharedPtr @SharedPtr Task task)

  - ### prependTask

    public void prependTask(@SharedPtr @SharedPtr Task task)

  - ### accept

    public void accept(@SharedPtr @SharedPtr Task task)
    Same as `appendTask(Task)`
    Specified by:
      `accept` in interface `Consumer<@SharedPtr Task>`

  - ### appendTasks

    public void appendTasks(@Nonnull TaskList tasks)
    This method moves the given task list.

  - ### appendTasks

    public void appendTasks(@Nonnull List<@SharedPtr ? extends Task> tasks)
    This method moves the given task list.

  - ### size

    public int size()

  - ### isEmpty

    public boolean isEmpty()

  - ### clear

    public void clear()

  - ### prepare

    public int prepare(RecordingContext context)

  - ### execute

    public int execute(ImmediateContext context, CommandBuffer commandBuffer)

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`